com.jnape.palatable.lambda.functions.builtin.fn1

## Class Repeat<A>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn1.Repeat<A>

- Type Parameters:
    `A` - The Iterable element type
  All Implemented Interfaces:
    Fn1<A,Iterable<A>>, Applicative<Iterable<A>,Fn1<A,?>>, Cartesian<A,Iterable<A>,Fn1<?,?>>, Cocartesian<A,Iterable<A>,Fn1<?,?>>, Contravariant<A,Profunctor<?,Iterable<A>,Fn1<?,?>>>, Functor<Iterable<A>,Fn1<A,?>>, Profunctor<A,Iterable<A>,Fn1<?,?>>, Monad<Iterable<A>,Fn1<A,?>>, MonadReader<A,Iterable<A>,Fn1<A,?>>, MonadRec<Iterable<A>,Fn1<A,?>>, MonadWriter<A,Iterable<A>,Fn1<A,?>>

      public final class Repeat<A>
      extends Object
      implements Fn1<A,Iterable<A>>

  Given a value, return an infinite `Iterable` that repeatedly iterates that value.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<A>` | `checkedApply(A a)` Invoke this function with the given argument, potentially throwing any `Throwable`.
    `static <A> Repeat<A>` | `repeat()`
    `static <A> Iterable<A>` | `repeat(A a)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, apply, carry, cartesian, censor, choose, cocartesian, compose, contraMap, diMap, diMapL, diMapR, discardL, discardR, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, widen, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public Iterable<A> checkedApply(A a)

      Description copied from interface: `Fn1`
      Invoke this function with the given argument, potentially throwing any `Throwable`.
      Specified by:
        `checkedApply` in interface `Fn1<A,Iterable<A>>`
      Parameters:
        `a` - the argument
      Returns:
        the result of the function application

    - #### repeat

          public static <A> Repeat<A> repeat()

    - #### repeat

          public static <A> Iterable<A> repeat(A a)